com.holonplatform.core.examples

## Class ExampleDatastore

- java.lang.Object
- - com.holonplatform.core.examples.ExampleDatastore

-     public class ExampleDatastore
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExampleDatastore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `config()`
    `void` | `configuration2()`
    `void` | `customFilter()`
    `void` | `customSort()`
    `void` | `dataMappable1()`
    `void` | `dataMappable2()`
    `void` | `datastore()`
    `void` | `datatarget()`
    `void` | `datatargetResolver()`
    `void` | `resolver()`
    `void` | `transactional1()`
    `void` | `transactional2()`
    `void` | `transactional3()`
    `void` | `transactional4()`
    `void` | `transactional5()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExampleDatastore

          public ExampleDatastore()

  - ### Method Detail

    - #### datatarget

          public void datatarget()

    - #### datastore

          public void datastore()

    - #### config

          public void config()
                      throws IOException

      Throws:
        `IOException`

    - #### configuration2

          public void configuration2()
                              throws IOException

      Throws:
        `IOException`

    - #### transactional1

          public void transactional1()
                              throws IOException

      Throws:
        `IOException`

    - #### transactional2

          public void transactional2()
                              throws IOException

      Throws:
        `IOException`

    - #### transactional3

          public void transactional3()
                              throws IOException

      Throws:
        `IOException`

    - #### transactional4

          public void transactional4()
                              throws IOException

      Throws:
        `IOException`

    - #### transactional5

          public void transactional5()
                              throws IOException

      Throws:
        `IOException`

    - #### resolver

          public void resolver()

    - #### datatargetResolver

          public void datatargetResolver()

    - #### customFilter

          public void customFilter()

    - #### customSort

          public void customSort()

    - #### dataMappable1

          public void dataMappable1()

    - #### dataMappable2

          public void dataMappable2()

Copyright © 2019 The Holon Platform. All rights reserved.